Skip to main content

Payment Confirmation

Method: POST.

URL: https://api.tamayyuz-tijari.com/api/gateway/status/details/

Request Headers

  • X-Authorization: API_KEY

  • Accept: application/json

Request Parameters

NameDescriptionValidation
invoice_idOrder number of the web merchantRequired
languageLanguage of the requestRequired; String; Options: ar, fr, en. Default: fr

Responses

  1. Successful Request

    • 200: Payment request submitted successfuly

      Response in json format

      NameDescriptionValidation
      invoice_idOrder number of the web merchantRequired; String
      satim_order_idSATIM order IDRequired; String
      tamayyuz_epay_idTAMAYYUZ ePay order IDRequired; String
      epay_amountOrder total amountRequired; Decimal (0.01)
      dateDate and time of payment, in Algiers/Algeria timezoneRequired; DateTime
      refundedIf this transaction has been refunded partially or fullyRequired; Boolean
      refund_amountAmount refunded of the transactionRequired;
      statusStatus of the transactionRequired; String; Options: 'S' for Succeeded','F' for Failed, 'P' for Pending
      descriptionLast update of the transactionRequired; String
      cardholder_nameName of the CIB/EDAHABIA card holderOptional; String
      satim_descriptionSATIM description of the transactionRequired; String
      approval_codeSATIM approval codeRequired; String
      return_urlURL to redirect to after payment successRequired; String
      fail_urlURL to redirect to after payment failureRequired; String

      Example

      {
      "invoice_id": 99,
      "satim_order_id": "UmXcQHI7aAYGUQAAFQTH",
      "tamayyuz_epay_id": 1298,
      "epay_amount": "2500.59",
      "date": "2023-10-01T12:34:56Z",
      "refunded": false,
      "refund_amount": null,
      "status": "S",
      "description": "Transaction succeeded",
      "cardholder_name": "",
      "satim_description": "Votre paiement a été accepté",
      "approval_code": 123456,
      "return_url": "https://your-website.com/return",
      "fail_url": "https://your-website.com/fail",
      }
  2. Failed Request

    Response in json format.

    Example: {"detail": "Error detail"}

    • 400: BAD REQUEST

      Missing or invalid parameters or Unknown order id. Error details in detail.

    • 403: FORBIDDEN

      Missing or invalid API_KEY. Error details in detail.

    • 500: INTERNAL SERVER ERROR

      Gateway failed to retrieve transaction details. Error details in detail.

    • XXX: request throttled

      You made more than request per minute. Error details in detail.

warning

It is possible to request status of your transaction with a max of 5 times/min

Code Examples

import requests

GATEWAY_URL = 'https://your-gateway-url.com/status/details/'
API_KEY = 'your_api_key_here'
invoice_id = '12345'
language = 'FR' # Optional

headers = {
'X-Authorization': API_KEY
}

params = {
'invoice_id': invoice_id,
'language': language
}

response = requests.get(GATEWAY_URL, headers=headers, params=params)
print(response.json())